Bug 88132

Summary: [chromium] Make LayerRendererChromium use RenderPasses instead of RenderSurfaces
Product: WebKit Reporter: Dana Jansens <danakj>
Component: New BugsAssignee: Dana Jansens <danakj>
Status: RESOLVED FIXED    
Severity: Normal CC: aelias, cc-bugs, enne, eric.carlson, feature-media-reviews, jamesr, piman, rniwa, shawnsingh, vollick, webkit.review.bot, wjmaclean, zlieber
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 87920    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch for landing
none
Patch for landing none

Description Dana Jansens 2012-06-01 13:49:27 PDT
[chromium] Make LayerRendererChromium use RenderPasses instead of RenderSurfaces
Comment 1 Dana Jansens 2012-06-01 14:51:25 PDT
Created attachment 145381 [details]
Patch
Comment 2 Dana Jansens 2012-06-01 14:53:16 PDT
This is going to conflict pretty nicely with the CCRenderer change, waiting for it to land then will rebase.

I had some discussions about what to call the coordinate space that is "physical pixels in the framebuffer, without the viewport/window matrices applied". We settled on calling this the "framebuffer space". We've called it something like "surface content space" in the past, but that would like a name that does not refer to surfaces, and that isn't super confusing in the face of device-scale.
Comment 3 Dana Jansens 2012-06-01 15:42:49 PDT
Created attachment 145392 [details]
Patch

rebased onto aelias' patch
Comment 4 Dana Jansens 2012-06-01 19:50:55 PDT
Created attachment 145423 [details]
Patch

here's a patch that applies on ToT for EWS.
Comment 5 Dana Jansens 2012-06-02 09:06:03 PDT
Created attachment 145445 [details]
Patch

heh this patch can't win :p rebased onto trunk again!
Comment 6 Adrienne Walker 2012-06-02 11:26:49 PDT
Comment on attachment 145445 [details]
Patch

Nice.  R=me.
Comment 7 Dana Jansens 2012-06-02 11:31:15 PDT
Comment on attachment 145445 [details]
Patch

thank you!
Comment 8 WebKit Review Bot 2012-06-02 11:53:40 PDT
Comment on attachment 145445 [details]
Patch

Rejecting attachment 145445 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
, const WebKit::WebFilterOperations&, const WebKit::WebFilterOperations&, unsigned int)':
Source/WebCore/platform/graphics/chromium/cc/CCRenderPassDrawQuad.cpp:46: error: 'm_layer' was not declared in this scope
  CXX(target) out/Debug/obj.target/webcore_platform/Source/WebCore/platform/graphics/chromium/cc/CCScrollbarLayerImpl.o
make: *** [out/Debug/obj.target/webcore_platform/Source/WebCore/platform/graphics/chromium/cc/CCRenderPassDrawQuad.o] Error 1
make: *** Waiting for unfinished jobs....

Full output: http://queues.webkit.org/results/12864893
Comment 9 Dana Jansens 2012-06-04 10:29:49 PDT
Created attachment 145603 [details]
Patch for landing
Comment 10 WebKit Review Bot 2012-06-04 10:40:37 PDT
Comment on attachment 145603 [details]
Patch for landing

Rejecting attachment 145603 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
uad::CCRenderPassDrawQuad(const WebCore::CCSharedQuadState*, const WebCore::IntRect&, const WebCore::CCRenderPass*, bool, const WebKit::WebFilterOperations&, const WebKit::WebFilterOperations&, unsigned int)':
Source/WebCore/platform/graphics/chromium/cc/CCRenderPassDrawQuad.cpp:45: error: 'm_layer' was not declared in this scope
make: *** [out/Debug/obj.target/webcore_platform/Source/WebCore/platform/graphics/chromium/cc/CCRenderPassDrawQuad.o] Error 1
make: *** Waiting for unfinished jobs....

Full output: http://queues.webkit.org/results/12898271
Comment 11 Dana Jansens 2012-06-04 10:50:10 PDT
Created attachment 145605 [details]
Patch for landing
Comment 12 WebKit Review Bot 2012-06-04 12:53:59 PDT
Comment on attachment 145605 [details]
Patch for landing

Clearing flags on attachment: 145605

Committed r119419: <http://trac.webkit.org/changeset/119419>
Comment 13 WebKit Review Bot 2012-06-04 12:54:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Ryosuke Niwa 2012-06-04 14:57:16 PDT
It appears that this patch broke GpuFeatureTest.RafNoDamage:

[12655:-1597528768:0604/134340:2263335561903:ERROR:trace_event_analyzer.cc(827)] Not enough events: 0
../../chrome/test/gpu/gpu_feature_browsertest.cc:425: Failure
Value of: trace_analyzer::GetRateStats(events, &stats, &stats_options)
  Actual: false
Expected: true
[12655:-1597528768:0604/134340:2263335777689:INFO:gpu_feature_browsertest.cc(427)] Number of RAFs: 0 Mean: 6.36069e-307 Min: -1.99068 Max: 2.56952e-256 StdDev: 2.57917e-256
../../chrome/test/gpu/gpu_feature_browsertest.cc:435: Failure
Expected: (stats.mean_us) > (15000.0), actual: 6.36069e-307 vs 15000
Comment 15 Dana Jansens 2012-06-04 15:18:03 PDT
Can you explain what that output means?
Comment 16 Ryosuke Niwa 2012-06-04 15:25:09 PDT
(In reply to comment #15)
> Can you explain what that output means?

I don't know anything about this test :(
Comment 17 Dana Jansens 2012-06-04 15:47:45 PDT
Bisecting locally it appears to be bug #88003 that causes the failure.
Comment 18 Ryosuke Niwa 2012-06-04 15:59:17 PDT
(In reply to comment #17)
> Bisecting locally it appears to be bug #88003 that causes the failure.

Thanks for the help!